package com.mvc.dao;

import com.mvc.entity.TRepayDetail;

import java.util.List;

import com.mvc.entity.TRepayDetailExample;
import org.apache.ibatis.annotations.Param;

public interface TRepayDetailMapper {
    long countByExample(TRepayDetailExample example);

    int deleteByExample(TRepayDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TRepayDetail record);

    int insertSelective(TRepayDetail record);

    List<TRepayDetail> selectByExample(TRepayDetailExample example);

    TRepayDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TRepayDetail record, @Param("example") TRepayDetailExample example);

    int updateByExample(@Param("record") TRepayDetail record, @Param("example") TRepayDetailExample example);

    int updateByPrimaryKeySelective(TRepayDetail record);

    int updateByPrimaryKey(TRepayDetail record);
}